Subject: Re: [TR] light switch TR3B

From: <[email-masked]>
Date: Sat, 15 Jun 2013 7:40:45 -0500

My suggestion if it is a reproduction switch is to pitch it and find an
original on eBay or a swap meet or local club.  I bought a reproduction switch
it was a POS.

As I recall (most of my fiddling was long ago on the road, late at night after
a long day) they are riveted together, you can mess with bending the
contacts.

Greg Lemon

---- Dave <[email-masked]> wrote:
> recently acquired this car.
>
> when I got it the parking lights stayed on.  that's why there was a battery
> cut off switch!  I turned on the headlights; they work.  by just
> pulling/pushing on the switch a few times over a period of days I managed to
> get them to turn off.
>
> finally had to use the lights, and now they are stuck on again.  I'm so
> surprised haha.
>
> I'm guessing itbs the switch.  anyone btdt have a suggestion?  pull the
> switch and clean it - do they come apart?
>
> thanks!
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
http://autox.team.net/mailman/options/triumphs/[email-masked]

** [email-masked] **

Archive: http://www.team.net/archive